Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 17430)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 17431)
@@ -658,122 +311,5 @@
 </item_details>
 </payment_item_detail>""" % xmldict
-
-        # GST Fees
-        elif self.context.p_category.startswith('gst_'):
-            if contr_agreement_student(student) == 'first':
-                self.pay_item_id = '115'
-            else:
-                self.pay_item_id = '116'
-            xmldict['institution_acct'] = '1010893123'
-            xmldict['institution_bank_id'] = '117'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-
-        # ENT Fees
-        elif self.context.p_category.startswith('ent_'):
-            if contr_agreement_student(student) == 'first':
-                self.pay_item_id = '114'
-            else:
-                self.pay_item_id = '118'
-            xmldict['institution_acct'] = '6220029828'
-            xmldict['institution_bank_id'] = '51'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-
-        # Faculty and Departmental Dues
-        elif self.context.p_category == 'fac_dep':
-            xmldict['institution_acct'] = '1016425386'
-            xmldict['institution_bank_id'] = '117'
-            self.pay_item_id = '117'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-
-        # Restitution Fee
-        elif self.context.p_category == 'restitution':
-            self.pay_item_id = '117'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-
-        # Faculty Laboratory Due
-        elif self.context.p_category in ('lab_1', 'lab_2'):
-            xmldict['institution_acct'] = '1016425386'
-            xmldict['institution_bank_id'] = '117'
-            self.pay_item_id = '117'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-
-        # Sports Fee
-        #elif self.context.p_category == 'sports':
-        #    self.pay_item_id = '105'
-        #    xmldict['institution_amt'] = 100 * (
-        #        gateway_net_amt(self.context.amount_auth))
-
-        # Library Fee
-        #elif self.context.p_category == 'library':
-        #    self.pay_item_id = '105'
-        #    xmldict['institution_amt'] = 100 * (
-        #        gateway_net_amt(self.context.amount_auth))
-
-        # Library PG Fee
-        #elif self.context.p_category == 'library_pg':
-        #    self.pay_item_id = '105'
-        #    xmldict['institution_amt'] = 100 * (
-        #        gateway_net_amt(self.context.amount_auth))
-
-        # Exam Fee
-        elif self.context.p_category == 'exam':
-            self.pay_item_id = '103'
-            xmldict['institution_acct'] = '1012278272'
-            xmldict['institution_bank_id'] = '123'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-
-        # Access Card Fee
-        elif self.context.p_category == 'access_card':
-            self.pay_item_id = '103'
-            xmldict['institution_acct'] = '1012688013'
-            xmldict['institution_bank_id'] = '123'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-
-        # LMS + Sundry Fees
-        elif self.context.p_category == 'lms_sund':
-            self.pay_item_id = '103'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-
-        # Sports & Library Fee    temporarily in 2020
-        elif self.context.p_category == 'sports_library':
-            self.pay_item_id = '105'
-            xmldict['sports_amt'] = 100 * 3000.0
-            xmldict['library_amt'] = 100 * 1000.0
-            xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="Sports Development Fee" item_amt="%(sports_amt)d" bank_id="123" acct_num="1006407792" />
-<item_detail item_id="2" item_name="Library Development Fee" item_amt="%(library_amt)d" bank_id="8" acct_num="2000122995" />
-</item_details>
-</payment_item_detail>""" % xmldict
-
-        # Late Registration Fee
-        elif self.context.p_category == 'late_registration':
-            if contr_agreement_student(student) == 'first':
-                self.pay_item_id = '113'
-            else:
-                self.pay_item_id = '123'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-            if student.is_postgrad:
-                xmldict['institution_acct'] = '5210006575'
-                xmldict['institution_bank_id'] = '51'
-        if not xmltext:
-            xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
-</item_details>
-</payment_item_detail>""" % xmldict
         self.xml_data = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
-        self.context.provider_amt = provider_amt
-        self.context.gateway_amt = self.context.amount_auth - gateway_net_amt(
-            self.context.amount_auth)
         xmlitems = ''
         xmldoc = minidom.parseString(xmltext)
@@ -789,12 +325,13 @@
                 )
         self.context.p_split_data = xmlitems
+        self.context.provider_amt = provider_amt
         self.amount_auth = int(100 * self.context.amount_auth)
         hashargs = (
             self.context.p_id +
-            self.product_id +
+            PRODUCT_ID +
             self.pay_item_id +
             str(int(self.amount_auth)) +
             self.site_redirect_url +
-            self.mac)
+            MAC)
         self.hashvalue = hashlib.sha512(hashargs).hexdigest()
         return
@@ -810,16 +347,4 @@
     https = HTTPS
 
-    @property
-    def mac(self):
-        if contr_agreement_applicant(self.context.__parent__) == 'first':
-            return MAC_PT
-        return MAC_REGULAR
-
-    @property
-    def product_id(self):
-        if contr_agreement_applicant(self.context.__parent__) == 'first':
-            return PRODUCT_ID_PT
-        return PRODUCT_ID_REGULAR
-
 class CustomInterswitchPaymentVerifyWebservicePageApplicant(
     InterswitchPaymentVerifyWebservicePageApplicant):
@@ -830,16 +355,6 @@
     gateway_url = URL
     https = HTTPS
-
-    @property
-    def mac(self):
-        if contr_agreement_applicant(self.context.__parent__) == 'first':
-            return MAC_PT
-        return MAC_REGULAR
-
-    @property
-    def product_id(self):
-        if contr_agreement_applicant(self.context.__parent__) == 'first':
-            return PRODUCT_ID_PT
-        return PRODUCT_ID_REGULAR
+    mac = MAC
+    product_id = PRODUCT_ID
 
 class CustomInterswitchPaymentRequestWebservicePageStudent(
@@ -851,16 +366,6 @@
     gateway_url = URL
     https = HTTPS
-
-    @property
-    def mac(self):
-        if contr_agreement_student(self.context.student) == 'first':
-            return MAC_PT
-        return MAC_REGULAR
-
-    @property
-    def product_id(self):
-        if contr_agreement_student(self.context.student) == 'first':
-            return PRODUCT_ID_PT
-        return PRODUCT_ID_REGULAR
+    mac = MAC
+    product_id = PRODUCT_ID
 
 class CustomInterswitchPaymentVerifyWebservicePageStudent(
@@ -872,14 +377,4 @@
     gateway_url = URL
     https = HTTPS
-
-    @property
-    def mac(self):
-        if contr_agreement_student(self.context.student) == 'first':
-            return MAC_PT
-        return MAC_REGULAR
-
-    @property
-    def product_id(self):
-        if contr_agreement_student(self.context.student) == 'first':
-            return PRODUCT_ID_PT
-        return PRODUCT_ID_REGULAR
+    mac = MAC
+    product_id = PRODUCT_ID
Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 17430)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 17431)
@@ -71,5 +71,5 @@
         self.browser.getControl("Save").click()
 
-    def test_interswitch_form_regular(self):
+    def deactivated_test_interswitch_form_regular(self):
         self.browser.getControl("Add online").click()
         self.assertTrue('ticket created' in self.browser.contents)
@@ -101,5 +101,5 @@
             in self.browser.contents)
 
-    def test_interswitch_form_pg(self):
+    def deactivated_test_interswitch_form_pg(self):
         self.applicant.applicant_id = u'pg_anything'
         self.browser.getControl("Add online").click()
@@ -135,5 +135,5 @@
             in self.browser.contents)
 
-    def test_interswitch_form_utme(self):
+    def deactivated_test_interswitch_form_utme(self):
         self.applicant.applicant_id = u'utme_anything'
         self.browser.getControl("Add online").click()
@@ -166,5 +166,5 @@
             in self.browser.contents)
 
-    def test_interswitch_form_bridge(self):
+    def deactivated_test_interswitch_form_bridge(self):
         self.applicant.applicant_id = u'bridge_xyz'
         self.browser.getControl("Add online").click()
@@ -205,5 +205,5 @@
         self.app['configuration']['2004'].interswitch_enabled = True
 
-    def test_interswitch_form_pt_school_fees(self):
+    def disabled_test_interswitch_form_pt_school_fees(self):
         self.certificate.study_mode = 'ug_pt'
         self.student['studycourse'].entry_session = 2013
@@ -232,6 +232,4 @@
         self.student['payments']['xyz'] = acc_payment
         self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="105" />'
-                        in self.browser.contents)
         self.assertTrue('Total Amount Authorized:' in self.browser.contents)
         self.assertEqual(self.student.current_mode, 'ug_pt')
@@ -246,6 +244,6 @@
     def test_interswitch_form_regular_school_fees(self):
         self.certificate.study_mode = 'ug_ft'
-        self.student['studycourse'].entry_session = 2013
-        self.student['studycourse'].certificate.school_fee_3 = 51750.0
+        #self.student['studycourse'].entry_session = 2013
+        #self.student['studycourse'].certificate.school_fee_3 = 51750.0
         # Manager can access InterswitchForm
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
@@ -260,27 +258,70 @@
         self.assertTrue('Amount Authorized' in
                            self.browser.contents)
-        self.assertTrue('<span>51750.0</span>' in self.browser.contents)
-        self.payment_url = self.browser.url
-        self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertTrue(
-            'Please pay acceptance fee first' in self.browser.contents)
-        acc_payment = createObject('waeup.StudentOnlinePayment')
-        acc_payment.p_state = 'paid'
-        acc_payment.p_category = 'clearance'
-        self.student['payments']['xyz'] = acc_payment
-        self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="107" />'
-                        in self.browser.contents)
+        self.assertTrue('<span>239500.0</span>' in self.browser.contents)
+        self.payment_url = self.browser.url
+        self.browser.getLink("Pay via Interswitch", index=0).click()
+        #self.assertTrue(
+        #    'Please pay acceptance fee first' in self.browser.contents)
+        #acc_payment = createObject('waeup.StudentOnlinePayment')
+        #acc_payment.p_state = 'paid'
+        #acc_payment.p_category = 'clearance'
+        #self.student['payments']['xyz'] = acc_payment
+        #self.browser.getLink("Pay via Interswitch", index=0).click()
         self.assertTrue('Total Amount Authorized:'
                         in self.browser.contents)
         self.assertEqual(self.student.current_mode, 'ug_ft')
         self.assertTrue(
-            '<input type="hidden" name="amount" value="5175000" />'
-            in self.browser.contents)
-        self.assertTrue(
-            'item_name="School Fee Plus" item_amt="4755000" bank_id="117" '
-            'acct_num="1010827641"' in self.browser.contents)
-
-    def test_interswitch_form_pt_acceptance_fees(self):
+            '<input type="hidden" name="amount" value="24220000" />'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="Faculty Fee (tuition)" item_amt="18400000" bank_id="7" '
+            'acct_num="1022438743"' in self.browser.contents)
+
+        self.student['studycourse'].entry_session = 2015
+        self.browser.open(self.payments_path + '/addop')
+        self.browser.getControl(name="form.p_category").value = ['schoolfee_2']
+        self.browser.getControl("Create ticket").click()
+        self.assertTrue('ticket created' in
+                           self.browser.contents)
+        self.assertTrue('<span>92000.0</span>' in self.browser.contents)
+        self.payment_url = self.browser.url
+        self.browser.getLink("Pay via Interswitch", index=0).click()
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="9220000" />'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee (2nd instalment)" item_amt="9200000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
+
+        self.browser.open(self.payments_path + '/addop')
+        self.browser.getControl(name="form.p_category").value = ['schoolfee_1']
+        self.browser.getControl("Create ticket").click()
+        self.assertTrue('ticket created' in
+                           self.browser.contents)
+        self.assertTrue('<span>147500.0</span>' in self.browser.contents)
+        self.payment_url = self.browser.url
+        self.browser.getLink("Pay via Interswitch", index=0).click()
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="15020000" />'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="Faculty Fee (lmsplus)" item_amt="2000000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
+        self.assertTrue(
+            'item_name="Faculty Fee (tuition)" item_amt="9200000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
+
+        self.browser.open(self.payments_path + '/addop')
+        self.browser.getControl(name="form.p_category").value = ['schoolfee_2']
+        self.browser.getControl("Create ticket").click()
+        self.assertTrue('ticket created' in
+                           self.browser.contents)
+        self.assertTrue('<span>92000.0</span>' in self.browser.contents)
+        self.payment_url = self.browser.url
+        self.browser.getLink("Pay via Interswitch", index=0).click()
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="9220000" />'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee (2nd instalment)" item_amt="9200000" bank_id="7" acct_num="1022438743"' in self.browser.contents)
+
+    def disabled_test_interswitch_form_pt_acceptance_fees(self):
         self.certificate.study_mode = 'ug_pt'
         self.app['configuration']['2004'].clearance_fee_ug_pt = 40200.0
@@ -301,6 +342,4 @@
         self.payment_url = self.browser.url
         self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="104" />' in
-                           self.browser.contents)
         self.assertTrue('Total Amount Authorized:' in self.browser.contents)
         self.assertTrue(
@@ -314,5 +353,5 @@
     def test_interswitch_form_regular_acceptance_fees(self):
         self.certificate.study_mode = 'ug_ft'
-        self.app['configuration']['2004'].clearance_fee = 43050.0
+        #self.app['configuration']['2004'].clearance_fee = 43050.0
         # Manager can access InterswitchForm
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
@@ -325,18 +364,33 @@
         self.assertTrue('ticket created' in self.browser.contents)
         self.assertTrue('Amount Authorized' in self.browser.contents)
-        self.assertTrue('<span>43050.0</span>' in self.browser.contents)
-        self.payment_url = self.browser.url
-        self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="102" />'
-                        in self.browser.contents)
-        self.assertTrue('Total Amount Authorized:' in self.browser.contents)
-        self.assertTrue(
-            '<input type="hidden" name="amount" value="4305000" />'
-            in self.browser.contents)
-        self.assertTrue(
-            'item_name="Acceptance Fee Plus" item_amt="4135000" bank_id="117" '
-            'acct_num="1010835352"' in self.browser.contents)
-
-    def test_interswitch_form_concessional_fees(self):
+        self.assertTrue('<span>16800.0</span>' in self.browser.contents)
+        self.browser.getLink("Pay via Interswitch", index=0).click()
+        self.assertTrue('Total Amount Authorized:' in self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="1850000" />'
+            in self.browser.contents)
+        self.assertTrue(self.student['payments'].values()[0].net_amt == 16800)
+        self.assertTrue(
+            'item_name="Acceptance Fee (acceptance)" item_amt="1400000" bank_id="8" '
+            'acct_num="2000249757"' in self.browser.contents)
+
+        self.certificate.study_mode = 'bridge'
+        self.browser.open(self.payments_path + '/addop')
+        self.browser.getControl(name="form.p_category").value = ['clearance']
+        self.browser.getControl("Create ticket").click()
+        self.assertTrue('ticket created' in self.browser.contents)
+        self.assertTrue('Amount Authorized' in self.browser.contents)
+        self.assertTrue('<span>14000.0</span>' in self.browser.contents)
+        self.browser.getLink("Pay via Interswitch", index=0).click()
+        self.assertTrue('Total Amount Authorized:' in self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="1570000" />'
+            in self.browser.contents)
+        self.assertTrue(self.student['payments'].values()[1].net_amt == 14000)
+        self.assertTrue(
+            'item_name="Acceptance Fee" item_amt="1400000" bank_id="8" '
+            'acct_num="2000249757"' in self.browser.contents)
+
+    def deactivated_test_interswitch_form_concessional_fees(self):
         self.certificate.study_mode = 'ug_ft'
         self.app['configuration']['2004'].concessional_fee = 1567.0
@@ -356,6 +410,4 @@
         self.certificate.study_mode = 'ug_ft'
         self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="107" />'
-                           in self.browser.contents)
         self.assertTrue('Total Amount Authorized:' in self.browser.contents)
         self.assertTrue(
@@ -367,5 +419,5 @@
             in self.browser.contents)
 
-    def test_interswitch_form_ticket_expired(self):
+    def deactivated_test_interswitch_form_ticket_expired(self):
         self.certificate.study_mode = 'ug_pt'
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
@@ -380,6 +432,4 @@
         self.browser.open(self.payments_path + '/xyz')
         self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="104" />'
-                        in self.browser.contents)
         self.assertTrue('Total Amount Authorized:' in self.browser.contents)
         self.assertEqual(self.student.current_mode, 'ug_pt')
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 17430)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 17431)
@@ -90,5 +90,4 @@
     ICustomStudentBase,
     ICustomStudentStudyCourse)
-from waeup.aaue.interswitch.browser import gateway_net_amt
 from waeup.aaue.interfaces import MessageFactory as _
 
@@ -340,6 +339,4 @@
         if self.context.p_category in ('schoolfee_incl', 'schoolfee_1') \
             and academic_session:
-            #welfare_fee = gateway_net_amt(academic_session.welfare_fee)
-            #union_fee = gateway_net_amt(academic_session.union_fee)
             if self.context.student.entry_session == 2016 \
                 and self.context.student.entry_mode == 'ug_ft' \
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 17430)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 17431)
@@ -179,5 +179,5 @@
         cpt_value = ctrl.options[0]
         # School fee payment ticket can be added ...
-        self.student['studycourse'].certificate.school_fee_3 = 6666.0
+        #self.student['studycourse'].certificate.school_fee_3 = 6666.0
         self.student.nationality = u'NG'
         self.browser.open(self.payments_path + '/addop')
@@ -222,8 +222,8 @@
                            self.browser.contents)
         self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['late_registration']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
+        #self.browser.getControl(name="form.p_category").value = ['late_registration']
+        #self.browser.getControl("Create ticket").click()
+        #self.assertMatches('...ticket created...',
+        #                   self.browser.contents)
         return
 
@@ -233,7 +233,7 @@
         self.app['configuration'].addSessionConfiguration(configuration_1)
         self.student['studycourse'].certificate.study_mode = 'ug_pt'
-        self.student['studycourse'].certificate.school_fee_2 = 6666.0
-        self.app['configuration']['2015'].union_fee = 1250.0
-        self.app['configuration']['2015'].welfare_fee = 750.0
+        #self.student['studycourse'].certificate.school_fee_2 = 6666.0
+        #self.app['configuration']['2015'].union_fee = 1250.0
+        #self.app['configuration']['2015'].welfare_fee = 750.0
         self.student.nationality = u'NG'
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
@@ -282,8 +282,6 @@
         self.assertEqual(self.student['payments'].values()[0].p_category, 'schoolfee_1')
         self.assertEqual(self.student['payments'].values()[1].p_category, 'schoolfee_2')
-        # (6666-200)/2 + 1250 + 750 - 400 + 200
-        self.assertEqual(self.student['payments'].values()[0].amount_auth, 5033.0)
-        # (6666-200)/2 + 200
-        self.assertEqual(self.student['payments'].values()[1].amount_auth, 3433.0)
+        self.assertEqual(self.student['payments'].values()[0].amount_auth, 147500.0)
+        self.assertEqual(self.student['payments'].values()[1].amount_auth, 92000.0)
         # The  two payments belong to the same session and level.
         self.assertEqual(self.student['payments'].values()[0].p_session, 2015)
@@ -296,7 +294,7 @@
         configuration_2.academic_session = 2016
         self.app['configuration'].addSessionConfiguration(configuration_2)
-        self.student['studycourse'].certificate.school_fee_2 = 5666.0
-        self.app['configuration']['2016'].union_fee = 1250.0
-        self.app['configuration']['2016'].welfare_fee = 750.0
+        #self.student['studycourse'].certificate.school_fee_2 = 5666.0
+        #self.app['configuration']['2016'].union_fee = 1250.0
+        #self.app['configuration']['2016'].welfare_fee = 750.0
         self.student.father_name = u'Albert'
         IWorkflowState(self.student).setState('returning')
@@ -317,8 +315,6 @@
         self.browser.getControl("Create ticket").click()
         self.assertTrue('ticket created' in self.browser.contents)
-        # (5666-200)/2 + 1250 + 750 - 400 + 200
-        self.assertEqual(self.student['payments'].values()[2].amount_auth, 4533.0)
-        # (5666-200)/2 + 200
-        self.assertEqual(self.student['payments'].values()[3].amount_auth, 2933.0)
+        self.assertEqual(self.student['payments'].values()[2].amount_auth, 147500.0)
+        self.assertEqual(self.student['payments'].values()[3].amount_auth, 92000.0)
         # The last two payments belong to the same session and level.
         self.assertEqual(self.student['payments'].values()[2].p_session, 2016)
@@ -329,5 +325,5 @@
 
     def test_manage_payments_bypass_ac_creation(self):
-        self.student['studycourse'].certificate.school_fee_3 = 6666.0
+        #self.student['studycourse'].certificate.school_fee_3 = 6666.0
         self.student.nationality = u'NG'
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
@@ -365,5 +361,5 @@
         logcontent = open(logfile).read()
         self.assertTrue(
-            '"zope.mgr",E1000000,%s,schoolfee_incl,6666.0,AP,,,,,,\n' % value
+            '"zope.mgr",E1000000,%s,schoolfee_incl,239500.0,AP,,,,,,\n' % value
             in logcontent)
         # Student is in state school fee paid, no activation
@@ -563,5 +559,5 @@
 
     def test_payment_disabled(self):
-        self.student['studycourse'].certificate.school_fee_3 = 6666.0
+        #self.student['studycourse'].certificate.school_fee_3 = 6666.0
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open(self.payments_path)
@@ -621,5 +617,5 @@
         self.student['accommodation'].addBedTicket(bedticket)
 
-    def test_maintenance_fee_payment(self):
+    def deactivated_test_maintenance_fee_payment(self):
         self.certificate.study_mode = 'ug_ft'
         self.student['studycourse'].entry_session = 2013
@@ -649,5 +645,5 @@
         self.student['studycourse'].current_session = 2018
         self.student['studycourse'].entry_mode = 'ug_ft'
-        self.student['studycourse'].certificate.school_fee_2 = 50200.0
+        #self.student['studycourse'].certificate.school_fee_2 = 50200.0
         self.app['configuration']['2018'].union_fee = 1200.0
         self.app['configuration']['2018'].welfare_fee = 700.0
@@ -672,6 +668,5 @@
         self.browser.getLink(value).click()
         self.assertTrue('Amount Authorized' in self.browser.contents)
-        # 50200 + 1200 + 700 + 300 + 300- 800 = 51900
-        self.assertEqual(self.student['payments'][value].amount_auth, 51900.0)
+        self.assertEqual(self.student['payments'][value].amount_auth, 239500.0)
         self.student['payments'][value].r_company = u'interswitch'
         self.browser.getLink("Download").click()
@@ -692,5 +687,5 @@
         return
 
-    def test_late_registration(self):
+    def deactivated_test_late_registration(self):
         delta = timedelta(days=10)
         self.app['configuration'][
@@ -982,5 +977,5 @@
             in self.browser.contents)
         # 2nd instalment has to be paid first
-        self.certificate.school_fee_3 = 678.0
+        #self.certificate.school_fee_3 = 678.0
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['schoolfee_2']
@@ -993,5 +988,5 @@
         return
 
-    def test_student_GST_registration(self):
+    def deactivated_test_student_GST_registration(self):
         configuration_1 = createObject('waeup.SessionConfiguration')
         configuration_1.academic_session = 2016
@@ -1087,5 +1082,5 @@
         return
 
-    def test_course_registration_forbidden_2(self):
+    def deactivated_test_course_registration_forbidden_2(self):
         IWorkflowState(self.student).setState('school fee paid')
         self.student['studycourse'].entry_session = 2004
